## cf-xulrunner 10.0.2

=== debian/changelog ===
cf-xulrunner (10.0.2-1indexdata) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 15 May 2012 13:07:17 +0200
