=== debian/control ===
Source: cf-xulrunner
Standards-Version: 3.6.2
Maintainer: Adam Dickmeiss <adam@indexdata.dk>
Priority: extra
Build-Depends: debhelper (>= 4),
	libgtk2.0-dev,
	libxt-dev,
	mesa-common-dev,
	pkg-config,
	python,
	unzip,
	wget,
	zip

Package: cf-xulrunner10
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Provides: cf-xulrunner
Conflicts: cf-xulrunner
Replaces: cf-xulrunner
Description: libxul and related libraries for CF
 Custom Mozilla build for the connector framework (CF).
 .
 This package includes runtime files.

Package: cf-xulrunner10-dev
Section: libdevel
Architecture: any
Depends: cf-xulrunner10 (= ${Source-Version}),
	pkg-config,
	libgtk2.0-dev,
	libxt-dev
Description: libxul and related libraries for CF
 Custom Mozilla build for the connector framework (CF).
 .
 This package includes development files.
